// ======================================================================
//
// MenuDragBar.h
// jeff grills
//
// copyright 1997 origin systems inc 
//
// ======================================================================

#ifndef MENU_DRAG_BAR_H
#define MENU_DRAG_BAR_H

// ======================================================================

#include "MenuElement.h"

// ======================================================================

class MenuDragBar : public MenuElement
{
private:

	int       lastX, lastY;
	IoWin    *oldCapture;

private:

	MenuDragBar(void);
	MenuDragBar(const MenuDragBar &);
	MenuDragBar &operator =(const MenuDragBar &);

private:

	void init(void);
	void load(Iff *iff);

public:

	MenuDragBar(MenuElement *parent, int maxWidth, int maxHeight, Iff *iff=NULL);

	virtual IoResult event(IoEventStruct *event);
};

// ======================================================================

#endif

